$(document).ready(function(){

    $("#createDepartment").submit(function(){
        var options = {
            target : '#notification',
            beforeSubmit : checkCreateDepartment,
            success: function(responseText){
                if(responseText.indexOf('Error:') == -1){
                    showNotice('success',responseText, 2000);
                    setTimeout( function(){
                        window.location.href = "index.php?c=department";
                    }, ( 2000 ) );
                }else{
                    showNotice('error',responseText, 2000);
                }
            }
        };
        $(this).ajaxSubmit(options);
        return false;
    });

    $("#updateDepartment").submit(function(){
        var options = {
            target : '#notification',
            beforeSubmit : checkUpdateDepartment,
            success: function(responseText){
                if(responseText.indexOf('Error:') == -1){

                    showNotice('success',responseText, 2000);
                    window.location.href = "index.php?c=department";
                }else{
                    showNotice('error',responseText, 2000);
                }
            }
        };
        $(this).ajaxSubmit(options);
        return false;
    });
});

function isTime(time_str,obj)
{
    if(time_str.length>4){
        var a = time_str.match(/^(\d{2}):(\d{2})$/);
        if (a == null || a[1]>24 || a[2]>59) {
            showNotice( 'error',time_format_error,2000);
            $(obj).css("border-color","#f00");
            return false;
        }else{
            $(obj).css("border-color","#CDCDCD");
            return true;
        }
    }
    return false;
}

function checkCreateDepartment(){
    var c_name = checkObjBlank("#name");
    var c_email = checkObjBlank("#email_address");
    var c_pop_server = checkObjBlank("#pop_host");
    var c_pop_port = checkObjBlank("#pop_port");
    var c_pop_account = checkObjBlank("#pop_username");
    var c_pop_password = checkObjBlank("#pop_password");
    var c_smtp_host = checkObjBlank("#smtp_host");
    var c_smtp_port = checkObjBlank("#smtp_port");
    var c_smtp_username = checkObjBlank("#smtp_username");
    var c_smtp_password = checkObjBlank("#smtp_password");

    if(c_name && c_email && c_pop_server && c_pop_port && c_pop_account && c_pop_password && c_smtp_host && c_smtp_port && c_smtp_username && c_smtp_password){
        if(checkObjEmail("#email_address") == false){
            showNotice('error',error_email_address_format,2000);
            return false;
        }
        showNotice();
        return true;
    }else{
        showNotice( 'error',required_error,2000);
        return false;
    }
}

function checkUpdateDepartment(){

    var c_name = checkObjBlank("#name");
    var c_email = checkObjBlank("#email_address");
    var c_pop_server = checkObjBlank("#pop_host");
    var c_pop_port = checkObjBlank("#pop_port");
    var c_pop_account = checkObjBlank("#pop_username");
    var c_smtp_host = checkObjBlank("#smtp_host");
    var c_smtp_port = checkObjBlank("#smtp_port");
    var c_smtp_username = checkObjBlank("#smtp_username");

    if(c_name && c_email && c_pop_server && c_pop_port && c_pop_account && c_smtp_host && c_smtp_port && c_smtp_username){
        if(checkObjEmail("#email_address") == false){
            showNotice('error',error_email_address_format,2000);
            return false;
        }
        showNotice();
        return true;
    }else{
        showNotice( 'error',required_error,2000);
        return false;
    }
}

function disableDept(id, is_active){
    var tips=dialog_disable_confirm;
    if(is_active==0){
        tips=dialog_activate_confirm;
    }
    $.fn.jmodal({
        data: {
            innerText: id
        },
        title: dialog_information,
        content: tips,
        buttonText: {
            ok: dialog_button_yes,
            cancel: dialog_button_no
        },
        fixed: true,
        okEvent: function(data, args) {
            if(data.innerText > 0){
                $.ajax({
                    url : "index.php?c=department&m=disable",
                    type : "get",
                    dataType : "text",
                    data : "id="+id,
                    success:function(data){
                        if(data.indexOf('Error:') == -1){
                            showNotice('success',data, 2000);
                            setTimeout( function(){
                                window.location.reload(true);
                            }, ( 2000 ) );
                        }else{
                            showNotice('error',data, 2000);
                        }
                    }
                });
            }
        }
    });
}

function sortDept(id, direction){
    $.ajax({
        url : "index.php?c=department&m=sort",
        type : "get",
        dataType : "text",
        data : "direction="+direction + "&id="+id,
        success:function(data){
            if(data.indexOf('Error:') == -1){
                showNotice('success',data, 2000);
                setTimeout( function(){
                    window.location.reload(true);
                }, ( 2000 ) );
            }else{
                showNotice('error',data, 2000);
            }
        }
    });
}

function testPOP(){
    var pop_withssl = 0;
    if ($('#pop_withssl').is(":checked"))
    {
        pop_withssl = 1;
    }
    showNotice();
    $.ajax({
        url : "index.php?c=utility&m=testPOP",
        type : "post",
        dataType : "text",
        data : "pop_host=" + $("#pop_host").val()+"&pop_port=" + $("#pop_port").val()+"&pop_username=" + $("#pop_username").val()+"&pop_password=" + $("#pop_password").val()+"&pop_withssl=" + pop_withssl,
        success:function(data){
            if(data.indexOf('Error:') == -1){
                showNotice('success',data, 2000);
            }else{
                showNotice('error',data, 2000);
            }
        }
    });
    return false;
}

function testSMTP(){
    var smtp_withssl = 0;
    if ($('#smtp_withssl').is(":checked"))
    {
        smtp_withssl = 1;
    }
    showNotice();
    $.ajax({
        url : "index.php?c=utility&m=testSMTP",
        type : "post",
        dataType : "text",
        data : "smtp_host=" + $("#smtp_host").val()+"&smtp_port=" + $("#smtp_port").val()+"&smtp_username=" + $("#smtp_username").val()+"&smtp_password=" + $("#smtp_password").val()+"&smtp_withssl=" + smtp_withssl,
        success:function(data){
            if(data.indexOf('Error:') == -1){
                showNotice('success',data, 2000);
            }else{
                showNotice('error',data, 2000);
            }
        }
    });
    return false;
}

